HandlebarsJS < 4.3.0 Prototype Pollution

critical Web App Scanning Plugin ID 114097

Language:

Synopsis

HandlebarsJS < 4.3.0 Prototype Pollution

Description

According to its self-reported version number, HandlebarsJS on the remote server is prior to 4.3.0. Therefore, it may be affected by a Prototype Pollution vulnerability leading to Remote Code Execution when attackers supply crafted templates which alter a Objects __proto__ and __defineGetter__ properties.

Note that the scanner has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to HandlebarsJS version 4.3.0 or later.

See Also

https://github.com/handlebars-lang/handlebars.js/commit/156061eb7707575293613d7fdf90e2bdaac029ee

Plugin Details

Severity: Critical

ID: 114097

Type: remote

Published: 10/24/2023

Updated: 10/25/2023

Scan Template: api, basic, full, pci, scan

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2019-19919

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

CVSS Score Source: CVE-2019-19919

Vulnerability Information

CPE: cpe:2.3:a:handlebarsjs:handlebars:-:*:*:*:*:*:*:*

Exploit Ease: No known exploits are available

Patch Publication Date: 2/23/2020

Vulnerability Publication Date: 12/20/2019

Reference Information

CVE: CVE-2019-19919